%define module_name unionfs
%define module_version 1.0.11
%define module_release alt0.M24.1
%define module_subversion 1
%define module_package kernel-source-%{module_name}-%{module_version}

Name: %module_name
Version:       %{module_version}
Release:       %{module_release}
License:       GPL
Group: 	       System/Kernel and hardware
Source0:       %{module_name}-%version.tar.gz
URL:	       http://www.fsl.cs.sunysb.edu/project-unionfs.html
Summary:       Unionfs - a unioning file system for Linux

Packager: Anton Farygin <rider@altlinux.ru>

BuildPreReq: kernel-build-tools

%description
Unionfs is a stackable unification file system, which can appear to
merge the contents of several directories (branches), while keeping
their physical content separate. Unionfs is useful for unified source
tree management, merged contents of split CD-ROM, merged separate
software package directories, data grids, and more. Unionfs allows
any mix of read-only and read-write branches, as well as insertion and
deletion of branches anywhere in the fan-out. To maintain Unix
semantics, Unionfs handles elimination of duplicates, partial-error
conditions, and more. This release also includes additional
preliminary features that were specifically designed for security
applications, such as snapshotting and sandboxing.


#### MODULE SOURCES ####
%package -n %{module_package}
Summary:        Unionfs - a unioning file system for Linux
Group:         Development/Kernel

%description -n %{module_package}
Unionfs - a unioning file system for Linux

Unionfs is a stackable unification file system, which can appear to
merge the contents of several directories (branches), while keeping
their physical content separate. Unionfs is useful for unified source
tree management, merged contents of split CD-ROM, merged separate
software package directories, data grids, and more. Unionfs allows
any mix of read-only and read-write branches, as well as insertion and
deletion of branches anywhere in the fan-out. To maintain Unix
semantics, Unionfs handles elimination of duplicates, partial-error
conditions, and more. This release also includes additional
preliminary features that were specifically designed for security
applications, such as snapshotting and sandboxing.


#### UTILS ####
%package -n %name-utils
Summary: Utilities to operate w/ unionfs
Group: System/Kernel and hardware
%description -n %name-utils
unionctl is used to control a unionfs file system.
uniondbg  runs  unionfs  debugging ioctls.

%prep
%setup -q -n %{module_name}-%version

%build
%make UNIONFS_DEBUG_CFLAG= UNIONFS_OPT_CFLAG="%optflags" utils
%make %{module_package}.tar.gz

%install
%make install-utils PREFIX=%buildroot%_usr MANDIR=%buildroot%_mandir
%__mkdir_p %kernel_srcdir
%__cp -af %{module_package}.tar.gz %kernel_srcdir/%{module_package}.tar.gz

%files -n %name-utils
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README 
%_sbindir/*
%_mandir/man?/*

%files -n %{module_package}
%kernel_src/%{module_package}.tar.gz

%changelog
* Fri Apr 15 2005 Alexey Borovskoy <alb@altlinux.ru> 1.0.11-alt0.M24.1
- Backports to Master 2.4 

* Wed Apr 06 2005 Anton Farygin <rider@altlinux.ru> 1.0.11-alt1
- new version

* Tue Feb 22 2005 Anton Farygin <rider@altlinux.ru> 1.0.9-alt1
- first build for ALT Linux Sisyphus
